[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.SetCheckboxState

Sets the checked state for a check box in the specified cell.

## Declaration

Source position: grids.pas line 1795

`protected procedure TCustomStringGrid.SetCheckboxState(`
`const aCol: Integer;`
`const aRow: Integer;`
`const aState: TCheckBoxState`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aState` |  | Checked state for the cell.